Search documentation of grizzly

# View Source Grizzly.Indicator (grizzly v7.4.2)

Indicator handling for Grizzly when an indicator event is triggered

See `Grizzly.Supervisor` for configuring the dispatcher that Grizzly should use during runtime.

# Summary

## Types

dispatcher()
event()

## Functions

handle_event(event, env, dispatcher)

Handles an event from `BEAMNotify`

# Types

Link to this type

# dispatcher()

View Source

    @type dispatcher() :: (event() -> :ok)

Link to this type

# event()

View Source

    @type event() :: :on | :off

# Functions

Link to this function

# handle_event(event, env, dispatcher)

View Source

    @spec handle_event([String.t()], %{required(String.t()) => String.t()}, dispatcher()) ::
      :ok

Handles an event from `BEAMNotify`